Package org.kie.api.io

## Class ResourceType

- java.lang.Object
- - org.kie.api.io.ResourceType

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ResourceType
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ResourceType` | `BAYES` | Bayesian
    `static ResourceType` | `BPMN2` | jBPM BPMN2 Language
    `static ResourceType` | `CMMN` | jBPM CMMN Language
    `static ResourceType` | `DESCR` | DESCR
    `static ResourceType` | `DMN` | Decision Model and Notation (DMN) model
    `static ResourceType` | `DRF` | Drools Rule Flow Language
    `static ResourceType` | `DRL` | Drools Rule Language
    `static ResourceType` | `DRLX` |
    `static ResourceType` | `DRT` | Deprecated. Since 8.
    `static ResourceType` | `DSL` | Drools DSL
    `static ResourceType` | `DSLR` | Drools DSL Rule
    `static ResourceType` | `DTABLE` | Decision Table
    `static ResourceType` | `FEEL` | DMN FEEL expression language
    `static ResourceType` | `GDRL` | Drools Rule Language - Guided Globals definitions - Workaround for double-dot file extensions for 6.0
    `static ResourceType` | `GDST` |
    `static ResourceType` | `JAVA` | JAVA
    `static ResourceType` | `NOOP` | NO-Operation ResourceType - used for example to dynamically disable a given AssemblerService
    `static ResourceType` | `PMML` | PMML
    `static ResourceType` | `PROPERTIES` | PROPERTIES
    `static ResourceType` | `RDRL` | Drools Rule Language - Guided Rules (without DSL) - Workaround for double-dot file extensions for 6.0
    `static ResourceType` | `RDSLR` | Drools Rule Language - Guided Rules (with DSL) - Workaround for double-dot file extensions for 6.0
    `static ResourceType` | `SCARD` | Score Card - Workaround for double-dot file extensions for 6.0
    `static ResourceType` | `SCGD` |
    `static ResourceType` | `SOLVER` |
    `static ResourceType` | `TDRL` | Drools Rule Language - Guided Decision Trees - Workaround for double-dot file extensions for 6.0
    `static ResourceType` | `TEMPLATE` |
    `static ResourceType` | `XSD` | XSD

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceType​(java.lang.String name, boolean fullyCoveredByExecModel, java.lang.String description, java.lang.String defaultPath, java.lang.String defaultExtension, java.lang.String... otherExtensions)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ResourceType` | `addResourceTypeToRegistry​(java.lang.String resourceType, boolean isNative, java.lang.String description, java.lang.String defaultPath, java.lang.String defaultExtension, java.lang.String... otherExtensions)` |
    `static ResourceType` | `addResourceTypeToRegistry​(java.lang.String resourceType, java.lang.String description, java.lang.String defaultPath, java.lang.String defaultExtension, java.lang.String... otherExtensions)` |
    `static ResourceType` | `determineResourceType​(java.lang.String resourceName)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.List<java.lang.String>` | `getAllExtensions()` |
    `java.lang.String` | `getDefaultExtension()` |
    `java.lang.String` | `getDefaultPath()` |
    `java.lang.String` | `getDescription()` |
    `java.lang.String` | `getName()` |
    `int` | `hashCode()` |
    `boolean` | `isFullyCoveredByExecModel()` |
    `boolean` | `matchesExtension​(java.lang.String resourceName)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DRL

          public static final ResourceType DRL

      Drools Rule Language

    - #### DRLX

          public static final ResourceType DRLX

    - #### GDRL

          public static final ResourceType GDRL

      Drools Rule Language - Guided Globals definitions - Workaround for double-dot file extensions for 6.0

    - #### RDRL

          public static final ResourceType RDRL

      Drools Rule Language - Guided Rules (without DSL) - Workaround for double-dot file extensions for 6.0

    - #### DSL

          public static final ResourceType DSL

      Drools DSL

    - #### DSLR

          public static final ResourceType DSLR

      Drools DSL Rule

    - #### RDSLR

          public static final ResourceType RDSLR

      Drools Rule Language - Guided Rules (with DSL) - Workaround for double-dot file extensions for 6.0

    - #### DRF

          public static final ResourceType DRF

      Drools Rule Flow Language

    - #### BPMN2

          public static final ResourceType BPMN2

      jBPM BPMN2 Language

    - #### CMMN

          public static final ResourceType CMMN

      jBPM CMMN Language

    - #### DTABLE

          public static final ResourceType DTABLE

      Decision Table

    - #### XSD

          public static final ResourceType XSD

      XSD

    - #### PMML

          public static final ResourceType PMML

      PMML

    - #### DESCR

          public static final ResourceType DESCR

      DESCR

    - #### JAVA

          public static final ResourceType JAVA

      JAVA

    - #### PROPERTIES

          public static final ResourceType PROPERTIES

      PROPERTIES

    - #### SCARD

          public static final ResourceType SCARD

      Score Card - Workaround for double-dot file extensions for 6.0

    - #### BAYES

          public static final ResourceType BAYES

      Bayesian

    - #### TDRL

          public static final ResourceType TDRL

      Drools Rule Language - Guided Decision Trees - Workaround for double-dot file extensions for 6.0

    - #### TEMPLATE

          public static final ResourceType TEMPLATE

    - #### DRT

          @Deprecated
          public static final ResourceType DRT

      Deprecated.
      Since 8. Consider `drools-decisiontables` or third party templating features

    - #### GDST

          public static final ResourceType GDST

    - #### SCGD

          public static final ResourceType SCGD

    - #### SOLVER

          public static final ResourceType SOLVER

    - #### DMN

          public static final ResourceType DMN

      Decision Model and Notation (DMN) model

    - #### FEEL

          public static final ResourceType FEEL

      DMN FEEL expression language

    - #### NOOP

          public static final ResourceType NOOP

      NO-Operation ResourceType - used for example to dynamically disable a given AssemblerService

  - ### Constructor Detail

    - #### ResourceType

          public ResourceType​(java.lang.String name,
                              boolean fullyCoveredByExecModel,
                              java.lang.String description,
                              java.lang.String defaultPath,
                              java.lang.String defaultExtension,
                              java.lang.String... otherExtensions)

  - ### Method Detail

    - #### addResourceTypeToRegistry

          public static ResourceType addResourceTypeToRegistry​(java.lang.String resourceType,
                                                               java.lang.String description,
                                                               java.lang.String defaultPath,
                                                               java.lang.String defaultExtension,
                                                               java.lang.String... otherExtensions)

    - #### addResourceTypeToRegistry

          public static ResourceType addResourceTypeToRegistry​(java.lang.String resourceType,
                                                               boolean isNative,
                                                               java.lang.String description,
                                                               java.lang.String defaultPath,
                                                               java.lang.String defaultExtension,
                                                               java.lang.String... otherExtensions)

    - #### determineResourceType

          public static ResourceType determineResourceType​(java.lang.String resourceName)

    - #### matchesExtension

          public boolean matchesExtension​(java.lang.String resourceName)

    - #### isFullyCoveredByExecModel

          public boolean isFullyCoveredByExecModel()

    - #### getDefaultPath

          public java.lang.String getDefaultPath()

    - #### getDefaultExtension

          public java.lang.String getDefaultExtension()

    - #### getAllExtensions

          public java.util.List<java.lang.String> getAllExtensions()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getName

          public java.lang.String getName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`